Skip to main content
POST
Invite a member as an admin with email proof.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Bound to actor, operation, target, schema version and canonical payload; changed input returns 409.

Required string length: 8 - 255

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Body

application/json
email
string<email>
required
Pattern: ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
role
enum<string>
required
Available options:
admin,
member,
viewer

Response

Authorised operation result.

id
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
email
string<email>
required
Pattern: ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
role
enum<string>
required
Available options:
admin,
member,
viewer
state
enum<string>
required
Available options:
pending,
accepted,
cancelled,
expired
expiresAt
string<date-time>
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

createdAt
string<date-time>
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

inviteUrl
string<uri>
required